org.eclipse.gef.dot.internal.ui.language.contentassist

## Class AbstractDotArrowTypeProposalProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
  - - org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
    - - org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotArrowTypeProposalProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalFactory, org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider

Direct Known Subclasses:
  DotArrowTypeProposalProvider

    public class AbstractDotArrowTypeProposalProvider
    extends org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

Represents a generated, default implementation of superclass `AbstractJavaBasedContentProposalProvider`. Methods are dynamically dispatched on the first parameter, i.e., you can override them with a more concrete subtype.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.DefaultProposalCreator, org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator`

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.DefaultContentAssistProcessorSwitch, org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.NullSafeCompletionProposalAcceptor`

### Constructor Summary

Constructors
Constructor and Description
`AbstractDotArrowTypeProposalProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `complete_AbstractArrowShape(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_ArrowShape(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_ArrowType(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_DeprecatedArrowShape(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_DeprecatedShape(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_PrimitiveShape(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeArrowShape_Open(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeArrowShape_Shape(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeArrowShape_Side(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeArrowType_ArrowShapes(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeDeprecatedArrowShape_Shape(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`announceProcessing, completeAssignment, completeKeyword, completeRuleCall, createProposals, getCrossReferenceProposalCreator, getHover, getProposalFactory, getScopeProvider, invokeMethod, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, setCrossReferenceProposalCreator, setScopeProvider`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`createCompletionProposal, createCompletionProposal, createCompletionProposal, createCompletionProposal, createSelector, doCreateProposal, doCreateProposal, getConflictHelper, getDisplayString, getImage, getKeywordDisplayString, getLabelProvider, getPriorityHelper, getQualifiedNameConverter, getStyledDisplayString, getStyledDisplayString, getValueConverter, isValidProposal, setConflictHelper, setLabelProvider, setPriorityHelper, setValueConverter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractDotArrowTypeProposalProvider

    public AbstractDotArrowTypeProposalProvider()

### Method Detail

#### completeArrowType_ArrowShapes

    public void completeArrowType_ArrowShapes(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.Assignment assignment,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeArrowShape_Open

    public void completeArrowShape_Open(org.eclipse.emf.ecore.EObject model,
                                        org.eclipse.xtext.Assignment assignment,
                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeArrowShape_Side

    public void completeArrowShape_Side(org.eclipse.emf.ecore.EObject model,
                                        org.eclipse.xtext.Assignment assignment,
                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeArrowShape_Shape

    public void completeArrowShape_Shape(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.Assignment assignment,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeDeprecatedArrowShape_Shape

    public void completeDeprecatedArrowShape_Shape(org.eclipse.emf.ecore.EObject model,
                                                   org.eclipse.xtext.Assignment assignment,
                                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_ArrowType

    public void complete_ArrowType(org.eclipse.emf.ecore.EObject model,
                                   org.eclipse.xtext.RuleCall ruleCall,
                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_AbstractArrowShape

    public void complete_AbstractArrowShape(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.RuleCall ruleCall,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_ArrowShape

    public void complete_ArrowShape(org.eclipse.emf.ecore.EObject model,
                                    org.eclipse.xtext.RuleCall ruleCall,
                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_DeprecatedArrowShape

    public void complete_DeprecatedArrowShape(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.RuleCall ruleCall,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_DeprecatedShape

    public void complete_DeprecatedShape(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.RuleCall ruleCall,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_PrimitiveShape

    public void complete_PrimitiveShape(org.eclipse.emf.ecore.EObject model,
                                        org.eclipse.xtext.RuleCall ruleCall,
                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)